local S = minetest.get_translator("hades_trees")
hades_trees = {}

hades_trees.LEAVES_PALETTE_REPEAT = 6
hades_trees.DEFAULT_UNDERGROUND = {
	"hades_core:dirt",
	"hades_core:dirt_with_grass_l1",
	"hades_core:dirt_with_grass_l2",
	"hades_core:dirt_with_grass_l3",
	"hades_core:dirt_with_grass",
}

dofile(minetest.get_modpath("hades_trees").."/api.lua")

dofile(minetest.get_modpath("hades_trees").."/apple.lua")
dofile(minetest.get_modpath("hades_trees").."/pear.lua")
dofile(minetest.get_modpath("hades_trees").."/olive.lua")
dofile(minetest.get_modpath("hades_trees").."/paletree.lua")
dofile(minetest.get_modpath("hades_trees").."/birch.lua")
dofile(minetest.get_modpath("hades_trees").."/kaki.lua")
dofile(minetest.get_modpath("hades_trees").."/banana.lua")
dofile(minetest.get_modpath("hades_trees").."/orange.lua")
dofile(minetest.get_modpath("hades_trees").."/cocoa.lua")
dofile(minetest.get_modpath("hades_trees").."/coconut.lua")
dofile(minetest.get_modpath("hades_trees").."/canvas.lua")
dofile(minetest.get_modpath("hades_trees").."/charred.lua")

dofile(minetest.get_modpath("hades_trees").."/dead_sapling.lua")
dofile(minetest.get_modpath("hades_trees").."/wood.lua")
dofile(minetest.get_modpath("hades_trees").."/crafting.lua")
dofile(minetest.get_modpath("hades_trees").."/leaf_functions.lua")

dofile(minetest.get_modpath("hades_trees").."/generator.lua")

tt.register_snippet(function(itemstring)
	local l = minetest.get_item_group(itemstring, "ash_fertilizer")
	if l ~= 0 then
		return S("Fertilizes Volcanic Ash/Sand")
	end
end)
